Bug 1520905 - systemd unit file for mariadb server should include alias for mysqld.service
Summary: systemd unit file for mariadb server should include alias for mysqld.service
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: mariadb
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Michal Schorm
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1520577
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-12-05 12:49 UTC by Michal Schorm
Modified: 2018-02-04 21:49 UTC (History)
11 users (show)

Fixed In Version: mariadb-10.2.12-5.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1520577
Environment:
Last Closed: 2018-02-04 21:49:47 UTC
Type: Bug
Embargoed:


Attachments (Terms of Use)

Description Michal Schorm 2017-12-05 12:49:26 UTC
+++ This bug was initially created as a clone of Bug #1520577 +++

Dear Red Hat developers,

As MariaDB is positioned as drop-in replacement for MySQL community server, the distributed systemd unit file for mariadb-server should include alias for mysqld.service. It would allow third party units to depend on single MySQL service and ignore the details of specific MySQL service implementation.

Furthermore, upstream MariaDB project distributes systemd unit file with two aliases: mysql.service and mysqld.service. [1] 

Thanks.


[1] https://mariadb.com/kb/en/library/systemd/

--- Additional comment from Red Hat Bugzilla Rules Engine on 2017-12-04 13:38:43 EST ---

Since this bug report was entered in Red Hat Bugzilla, the release flag has been set to ? to ensure that it is properly evaluated for this release.

--- Additional comment from Michal Schorm on 2017-12-05 07:48:17 EST ---

Hello,

That looks like a good idea
It will make it more convenient and as a bonus we will close up with upstream.

This issue doesn't seem to hurry, so I'll start this change in Fedora first.

Comment 1 Fedora Update System 2018-01-19 00:51:39 UTC
mariadb-10.2.12-2.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-1c82f2773c

Comment 2 Fedora Update System 2018-01-19 16:35:04 UTC
mariadb-10.2.12-2.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-1c82f2773c

Comment 3 Fedora Update System 2018-01-27 11:10:31 UTC
mariadb-10.2.12-5.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-66833616aa

Comment 4 Fedora Update System 2018-01-28 23:04:55 UTC
mariadb-10.2.12-5.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-66833616aa

Comment 5 Fedora Update System 2018-01-29 09:27:00 UTC
mariadb-10.2.12-5.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-66833616aa

Comment 6 Fedora Update System 2018-01-29 19:08:18 UTC
mariadb-10.2.12-5.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-66833616aa

Comment 7 Fedora Update System 2018-02-04 21:49:47 UTC
mariadb-10.2.12-5.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.